%define upstream_name    AnyEvent-XMPP
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Low level TCP/TLS connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::Handle)
BuildRequires: perl(AnyEvent::Socket)
BuildRequires: perl(Authen::SASL)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::LibIDN)
BuildRequires: perl(Net::SSLeay) >= 1.330.0
BuildRequires: perl(Object::Event) >= 0.700.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(XML::Writer)
BuildArch:  noarch

%description
This is the head module of the the AnyEvent::XMPP manpage XMPP client
protocol (as described in RFC 3920 and RFC 3921) framework.

the AnyEvent::XMPP::Connection manpage is a RFC 3920 conforming "XML"
stream implementation for clients, which handles TCP connect up to the
resource binding. And provides low level access to the XML nodes on the XML
stream along with some high level methods to send the predefined XML
stanzas.

the AnyEvent::XMPP::IM::Connection manpage is a more high level module,
which is derived from the AnyEvent::XMPP::Connection manpage. It handles
all the instant messaging client functionality described in RFC 3921.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes META.json META.yml MYMETA.yml README TODO samples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.550.0-11.mga10
+ Revision: 2202623
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.550.0-10.mga9
+ Revision: 1808227
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.550.0-9.mga8
+ Revision: 1503441
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.550.0-8.mga7
+ Revision: 1281587
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.550.0-7.mga7
+ Revision: 1162895
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.550.0-6.mga6
+ Revision: 1022506
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.550.0-5.mga6
+ Revision: 971855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.550.0-4.mga6
+ Revision: 745808
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.550.0-3.mga5
+ Revision: 731820
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.550.0-2.mga5
+ Revision: 683480
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 jquelin <jquelin> 0.550.0-1.mga5
+ Revision: 598667
- update to 0.55

* Fri Oct 18 2013 umeabot <umeabot> 0.540.0-3.mga4
+ Revision: 509075
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-2.mga3
+ Revision: 362934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 341913
- update to 0.54

* Mon Oct 15 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 306062
- update to 0.53

* Wed Oct 10 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 304469
- imported package perl-AnyEvent-XMPP


* Wed Oct 10 2012 cpan2dist 0.52-1mga
- initial mageia release, generated with cpan2dist
